Firebug 1.12.8
11 April 2014

This version represents a maintenance release fixing compatibility issues with upcoming Firefox versions.

Firebug 1.12.8 is compatible with Firefox 23 – 30

Firebug 1.12.8 fixes 2 issues.

JSD1 vs. JSD2

This release is solving a compatibility problem related to the JavaScript Debugger Engine API (JSD) in Firefox. This API is going to be removed from Firefox 31 and any extension that is using it (including Firebug) needs to switch to JSD2 that has been around for a while.

The JavaScript debugger in Firebug 1.12.8 is based on the (old) JSD API, so the Script panel will be disabled if you’re running this Firebug version on Firefox 31.

The Script panel displays a message explaining why it’s disabled and a link to the Firebug 2 page. Firebug 2.0 is fully based on JSD2. Firebug 2.0 requires Firefox 30 as the minimum version and all users running it should check it out. Even when Firebug 2.0 is not finished yet, it’s already quite stable.


Firebug 1.12.7
March 5th, 2014

This version represents a maintenance release fixing some minor bugs and compatibility issues with upcoming Firefox versions.

Firebug 1.12.7 is compatible with Firefox 23 – 29

Firebug 1.12.7 fixes 9 issues.
 
Highlights from this release

    The Net panel is properly displaying size of HTTP requests coming from the browser cache (issue 6837)
    It’s possible to copy absolute and relative XPath (issue 7120)
    Syntax highlighting in Command Editor is fixed (issue 7126)
    Firefox JavaScript Debugging engine (JSD) is now paused if Firebug is not active on the current tab (but Script panel opened in background Firefox tab). So, the warning about Script panel causing Firefox slow-down has been removed (issue 7193)
    Firebug 1.12.7 is compatible even with the current Firefox Nightly Build, Fx30 (issue 7208)


Firebug 1.12.6
January 20th, 2014

This version represents a maintenance release fixing some minor bugs and compatibility issues with upcoming Firefox versions.

Firebug 1.12.6 fixes 11 issues.


Firebug 1.12.5
November 21st, 2013

This version improves a workaround that solves Firefox tab switching and Firebug activation problem (due to a platform bug). See the detailed description of related changes below.

Firebug 1.12.5 fixes 2 issues.

Script Panel Activation

Since version 1.12.4, Firebug doesn’t pause the underlying Firefox JavaScript debugger engine (JSD) when the user is switching Firefox tabs. This avoids long tab switching times since JSD.pause/unPause is broken (it’s the platform bug). This means that Firebug with active Script panel can slow down the browser even if it’s on a background Firefox tab.

The user can see related warning message on disabled Script panel and also (if the Script panel is already enabled) within the Console panel.

Enabling the Script panel causes a Firefox slow-down due to a platform bug. This will be fixed with the next major Firefox and Firebug versions.

If you have the Script panel disabled, the platform bug doesn’t affect your browser experience.
Start Button Icon

In order to make it easier for the user to see that there is an active Firebug instance in the background we introduced a new state for the Start Button Icon.

Start Button Tooltip

Start button tooltip has also been improved. You can use it to see how many Firebug instances are currently active (you’ll see the number even if Firebug is not active on the current tab).

Shutdown Firebug

Finally, in order to quickly shutdown all Firebug instances at once and ensure that the underlying Firefox debugging engine (JSD) is deactivated (not slowing down the browser anymore), you can pick Clear Activation List from the Start button context menu.


Firebug 1.12.4
October 21st, 2013

Another maintenance release fixing performance problem when switching Firefox tabs.

Firebug 1.12.4 fixes 1 issue.

This version introduces a workaround that solves Firefox tab switching and Firebug activation problem (see a platform bug). As a temporary measure, Firebug no longer pauses the debugger when switching tabs. This avoids long tab switching times (see issue 6086 for more details).

The entire problem will be properly fixed in the next major Firebug version that will be based on the new JavaScript Debugger API in Firefox.


Firebug 1.12.3
October 5th, 2013

Another maintenance release fixing a few minor issues.

Firebug 1.12.3 fixes 4 issues.

There is a platform bug that slows down Firefox tab switching and Firebug activation. This bug has effect only if the Script panel is enabled. Since we can’t fix this problem Firebug is displaying a warning to notify users. The problem will be fixed in the next major Firebug release (Firebug will be using different debugging engine, see issue 6821 for more details).

The message is displayed on disabled Script panel and also in the Console panel.

This version also fixes one compatibility problem with FirePHP extension (issue 6803).
 

Firebug 1.12.2
September 25th, 2013

Bug fixes in this release are mostly related to the Console panel & logging, but there are also some fixes related to CSS inspection.


Firebug 1.12.1
September 4th, 2013

    The problem with missing Firebug icons reported by some users is fixed (issue 6689).
    It is possible to get rid of the Clear Activation List confirmation dialog (issue 6694)
    There is a new preference extensions.firebug.console.groupLogMessages that allows to disable console message grouping (issue 6703)


Firebug 1.12.0
August 21st, 2013

    Firebug 1.12 is compatible with Firefox 23 – 26

New Features

    Copy CSS Properties
    New Net Panel Filters
    Filter for DOM Events Log
    Autocompletion Popup Improved
    Use in Command Line
    Group Console Messages
    Better Infotip for HTTP Request Timings
    Multiple Filters for Console & Net Panel
    Toggle Visibility of Side Panels
    Store the result of the last command line evaluation in $_
    New command: getEventListeners()
    Copy as cURL
    Precision for Console API %f log pattern
    Show/hide stack arguments
    CSS Panel Improvements


Firebug 1.11.4
May 24th, 2013

Firebug 1.11.4 is compatible with Firefox 17-22

This version is a follow-up for 1.11.3 and fixes some reported problems.
Specifically XHR Spy works again for Firefox 17 and CSS pseudo-element
rules are now properly displayed in the Style panel.


Firebug 1.11.3
May 12th, 2013

Firebug 1.11.3 is compatible with Firefox 17-22


Firebug 1.11.2
February 25th, 2013

Firebug 1.11.2 is compatible with Firefox 17-20

The main new feature in this version is Closure Inspector. This feature
allows inspecting closure variables that are not accessible through
standard property iteration.


Firebug 1.11.1
December 13th, 2012

Firebug 1.11.1 fixes 3 issues.

    Issue 6116: undefined values are ignored in string formatting of console.log
    Issue 6119: Position of elements with `white-space: pre-wrap` isn’t displayed correctly
    Issue 6124: Firebug add a new style tag with rules like .firebugResetStyles {} indefinitely.


Firebug 1.11.0
December 7th, 2012

Firebug 1.11 is compatible with Firefox 17-20

New Features

    SPDY Support
    Performance Timing Visualization
    CSS Query Selector Tool
    New include() command
    Observing window.postMessage()
    Copy & Paste HTML
    Styled Logging
    Log Function Calls
    Improved $() and $$() commands
    Autocompletion for built-in properties


Firebug 1.10.6
November 1st, 2012

Firebug 1.10.6 is a maintenance release fixing compatibility problem
with Firefox 15. This problem caused the Start Button to disappear from
Firefox 15 toolbar.


Firebug 1.10.5
October 25th, 2012

Firebug 1.10.5 fixes 5 issues.

    Location list in the Script panel can be filtered (Issue 5963)
    Title in Firebug detached window is correct (related to Issue 5883)
    Firebug can be opened in popup windows (Issue 5949)
    First-run page is not opened till Firefox restart when Firebug is updated (Issue 5888)
    Firebug properly shows scripts coming from iframes (Issue 5978)


Firebug 1.10.4
October 9th, 2012

Firebug 1.10.4 fixes 9 issues.

    Issue 4929: Update list of inherited properties
    Issue 5783: Display of IPv6 addresses with port number is incorrect
    Issue 5859: Delete “element.style” is broken
    Issue 5883: Error “topWindow.exportFirebug is not a function” while Firebug is detached
    Issue 5946: Firebug breaks Firefox UI when disabled
    Issue 5945: Show source link for CSS errors
    Issue 5908: Link to open the complete xhr response in a new Firefox tab does not work
    Issue 5744: Radio button deselects when Firebug is open (situational)
    Issue 5905: inspector blinks


Firebug 1.10.3
September 3rd, 2012

Firebug 1.10.3 is a maintenance release fixing several minor issues and
also tested with Firefox 15


Firebug 1.10.2
August 3rd, 2012

Three issues have been fixed in this release:

    Issue 5773: Firebug no longer displays 304 Not Modified lines in NET panel
    Issue 5766: Breakpoint editor text is invisible!
    Issue 5712: Firefox crashes when trying to log XMLHTTPRequest to console


Firebug 1.10.1
August 2nd, 2012

Firebug 1.10.1 fixes 14 issues.

    The Net panel’s timeline sorting is fixed (issue 4662)
    Middle-click on an AJAX request opens it in a new tab again (issue 5341)
    Break on features doesn’t increase CPU usage (issue 5618)
    The HTML panel displays symbols for DTD entities by default (issue 5690)
    Cookie breakpoint condition editor fixed (issue 5698)
    AJAX requests can be resent again (issue 5714)
    Firebug start button is displayed even on popup windows (issue 5711)


Firebug 1.10.0
July 13th, 2012

Firebug 1.10 is compatible with Firefox 13-16

New features

    Bootstrapped Installation
    Delayed Load
    Cookies
    Command Editor Syntax Highlighting
    Autocompletion
    Trace Styles
    New Command: help
    Link to Web-font Declaration
    Support For Media Queries
    Displayed Entities Format
    Displayed Color Format
    Tooltips for Menu Items
    Support for “focus” CSS pseudo class
    HTTP Requests From BFCache
    Delete CSS Rule


Firebug 1.9.2
May 4th, 2012

This is a maintenance release that fixes several issues


Firebug 1.9.1
January 31st, 2012

This is a maintenance release coming after Firebug 1.9. Two highlights from this release:

    Workaround for a crash on Mac and Linux 32 bit running Firefox 9.
      Due to a bug in the debugger service in Firefox 9 the Script panel
      is disabled in aforementioned configurations. Using Firefox 10 is
      recommended solution for this problem.
    Firebug 1.9.1 is compatible with Firefox 12.


Firebug 1.9.0
January 6th, 2012

Feature Enhancements

    Firebug UI docking
    Copy JSON responses to the clipboard
    Syntax error position displayed
    New column in the Net panel: Protocol
    Quickly Remove Elements from the page
    Function objects: displayName property
    Every Console log has its origin info
    Resend HTTP request
    Tooltip for conditional breakpoints
    Add Watch from the DOM panel
    Response Headers from the browser cache
    Font Viewer
    Font Tooltip
    Tooltip tip for array items


Firebug 1.8.4
November 4th, 2011

Firebug 1.8.4 is just a quick compatibility update. This version is compatible with Firefox 5, 6, 7, 8 and 9


Firebug 1.8.3
September 16th, 2011

Firebug 1.8.3 fixes 7 issues since (1.8.2) and is compatible with Firefox 5, 6, 7, 8


Firebug 1.8.2
August 31st, 2011

Firebug 1.8.2 fixes 22 issues since (1.8.1) and is compatible with Firefox 5, 6 and 7 (beta)

Nodes inside the HTML panel can now be expanded/collapsed via * or the context
menu option “Expand/Contract All” excluding script, style and link tags. To
expand all nodes simply additionally press Shift.


Firebug 1.8.1
August 10th, 2011

Firebug 1.8.1 fixes 13 issues since (1.8.1b1) and is compatible with Firefox 5 and Firefox 6.

    Update notification page can now be disabled (issue 4032).


Firebug 1.8.0
July 29th, 2011

Feature Enhancements

    New console.timeStamp() method
    IP Address displayed in the Net Panel
    HTML Preview Reloaded
    Improved Script Location List
    Command Line Content Persistence across page reloads
    New DOM Panel Options
    CSS Panel Color Tooltips
    Shortcuts for Changing CSS values
    Better Support for External Editors
    Box Sizing Exposed

Internal Architecture Improved

    Better Firebug code-base organization and dependencies.
    Sharing modules (and UI!) with Firebug Lite that is running inside a web page.
    Support for restart-less Firebug installation.
    Delayed Firebug load so, it doesn’t slow down Firefox startup time.
    Better infrastructure for upcoming Firefox Electrolysis (separate processes) and remote debugging.


Firebug 1.7.3
June 20th, 2011

This release fix a security issue.


Firebug 1.7.2
June 1st, 2011

Here is a summary of fixed issues:

    Support for debugging Dojo (you need Firefox 3.6+Firebug 1.7.2 or Firefox 5.0 + Firebug 1.8, Issue 4289)
    Tooltips for function arguments in the Watch side panel (Issue 4428)
    API fixed for Firebug extension developers (Issue 4435)
    Better support for JSON responses in the Net panel (Issue 4439)
    Keyboard shortcut for the Inspector fixed (Issue 4452)


Firebug 1.7.1
May 13th, 2011

Here is a summary of fixed issues:

    When downloading huge files firebug sucks up all available memory and then crashes firefox (Issue 3123)
    Buggy autocompletion in small command line is messing with cursor placement (Issue 3709)
    A message about known issues with Firefox is gone (issue 4287)
    OS X uses appropriate icons again – not those for Windows (issue 4295)
    AJAX requests displayed in the Console show the proper line where it occured (issue 4310)


Firebug 1.7.0
March 21st, 2011

Some highlights:

    Break notification message redesign
    Only show applied styles
    Open with editor feature improved
    Support for local, session and global storage examination in the DOM and Console panels
    New API for Firebug extensions
    New Firebug start button
    Large command line has history
    CSS panel is now displaying @font-face rules.
    Pressing F1 opens a help page (Firebug UI must be opened and focused)
    Inspector improved and solid as a rock!
    Our automated testing framework improved and 150+ tests watching Firebug features


Firebug 1.6.2
February 4th, 2011

Firebug 1.6.2 fixes couple of problems.


Firebug 1.6.1
January 5th, 2011

Firebug 1.6.1 fixes problems reported for 1.6.0. Among other things the ‘Ctrl + Shift + Arrow shortcut collision’ is fixed.


Firebug 1.6.0
November 29th, 2010

We have implemented a lot of new features.


Firebug 1.5.4
April 23rd, 2010

    Issue 2788: Script panel files get truncated
    Issue 2942: Style tab loses its options
    A fix for script truncation related to break-on-error


Firebug 1.5.3
March 12th, 2010

In particular this release works around a large memory leak.


Firebug 1.5.2
February 24th, 2010

This version fixes bugs we discovered after releasing 1.5.0. Some other small improvements:

    The break on next button moved from the main toolbar to the panel toolbar.
      Physically this is not a lot of distance but it allows the button to “belong” to the panel.
    The break on next button icons now depend upon the panel, with a system of badges. Thanks jabapyth!
    Locale updates for uk-UA, hy-AM, hu-HU, cs-CZ.


Firebug 1.5.1
February 18th, 2010

Firebug 1.5.1 fixes couple of problems.


Firebug 1.5.0
January 15th, 2010

Among the major enhancements:

    Mike Radcliffe’s Inspector. A key feature, now solid as a rock,
    Jan ‘Honza’ Odvarko’s expanded and refined Net panel, with accurate timings,
    Steve Roussey’s reworking of HTML editing and entity support,
    Kevin Decker’s CSS and Style side panel improvements,
    Support for dynamic, graphical breakpoints through out Firebug.
    Tested support for the soon-to-be-released Firefox 3.6


Firebug 1.4.3
September 8th, 2009

This release fixes one major bug in activation: sometimes Firebug will
fail to remember a site should be open or it will fail to remember a
site should be closed.


Firebug 1.4.2
July 30th, 2009

Bug fixed:

    Issue 2114: E4X objects can no longer be inspected in 1.4.0
    a11y (Accessibiltiy) support for panel search in CSS, DOM and script panels
    Issue 2105: POST Data not fully viewable if a parameter string is wider the the screen
    Issue 2101: right click copy/paste
    Update locale cs-CZ, ja-JP
    New locale uk-UA (Ukrainian)


Firebug 1.4.1
July 27th, 2009

Bug fix release


Firebug 1.4.0
July 15th, 2009

    Curtis Bartley’s Tabs-on-top UI
    Han Hillen’s Accessibility and Key Rebinding,
    Kevin Decker’s multi panel search
    Jan ‘Honza’ Odvarko’s continually amazing Net panel.
    Simplified panel enablement, minimize controls,  and site activation,
    Break on next, and performance improvements for the Script panel
    Over 150 bug reports fixed


Firebug 1.3.3
February 16th, 2009

Bug fix release


Firebug 1.3.2
February 6th, 2009

Change the minVersion requirement to Firefox 3.0.


Firebug 1.3.1
February 6th, 2009

Fixes for the Firebug’s activation, several fixes for the command line, as well as file locking and net panel fixes.


Firebug 1.3.0
January 12th, 2009

Solve unfortunate “double load” problem.
